NomadicRT

About me

Developer Information
Name NomadicRT
User since July 14, 2010
Number of add-ons developed 0 add-ons
Average rating of developer's add-ons Not yet rated

My Reviews

Enigmail

Not compatible with latest firefox Rated 1 out of 5 stars

I love this app and use it a lot but cannot install on the latest version of thunderbird as its incompatible with latest version of firefox!

This review is for a previous version of the add-on (1.2). 

Firefox Sync for Firefox 3.5/3.6

Frustration overload Rated 1 out of 5 stars

Posted on this way back concerning its routine habit of deleting bookmarks while syncing or closing and losing your tabs.Fortunately I have a backup file of bookmarks and use xmarks too so what this heap of bug filled rubbish deletes I can usually recover.Also major issue is the password, if you do not store the key you are screwed cus the only way to get a replacement password is to have your entire bookmarks data deleted.Totally appalls and frustrates me that this junk is going to be embedded into FF4 - disaster waiting to happen so I am migrating to Chrome before then, adios Firefox for me.

This review is for a previous version of the add-on (1.6.1).  This user has a previous review of this add-on.

Firefox Sync for Firefox 3.5/3.6

Sync is sunk Rated 1 out of 5 stars

JUNK!!
Weave worked perfectly,this rubbish either will not launch or loses bookmarks or "server sync error".
Utter waste of time using it.Whatever you did to it you Spoilt a good add-on.

This review is for a previous version of the add-on (1.4).